List Interviews
curl --request GET \
--url https://api.ontora.com/v1/interviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"status": "<string>",
"channel": "<string>",
"completion_threshold": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "<string>",
"interview_duration_minutes": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_shared": false,
"shared_from_workspace_name": "<string>",
"share_scope": "restricted",
"share_link_enabled": false,
"join_link_delivery": false,
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"success_criteria": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_profile_snapshot": {},
"agent_template_id": "<string>",
"draft_guide": [
"<unknown>"
],
"draft_guide_revision": "<string>",
"interview_type": "<string>",
"default_language": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>",
"voice_language": "<string>",
"voice_speed": 1,
"participant_voice_selection_enabled": false,
"participant_mode_selection_enabled": false,
"participant_language_selection_enabled": false,
"participant_selectable_languages": [
"<string>"
],
"participant_anonymity_selection_enabled": false,
"participant_review_enabled": false,
"result_summary_enabled": false,
"result_summary_recipient_count": 0,
"welcome_screen": "<string>",
"closing_message": "<string>",
"folder": "<string>",
"recurring_interval": "<string>",
"followup_enabled": false,
"followup_strategy": "<string>",
"followup_intervals_hours": [
123
],
"followup_deadline_days": [
123
],
"followup_message": "<string>",
"report_floor_count": 123,
"incremental_update_every_n": 123,
"use_agentic_synthesis": false,
"is_anonymous": false,
"anonymity_level": "none",
"contact_count": 0,
"completed_count": 0,
"scheduled_count": 0,
"created_by_email": "<string>",
"created_by_name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interviews
List Interviews
GET
/
v1
/
interviews
List Interviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Was this page helpful?